## rust-gdk 0.9.0

=== Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Gdk-3.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

not_bound: $(GIR) $(GIR_FILES)
	$(GIR) -m not_bound -c Gir.toml

regen_check: $(GIR) $(GIR_FILES)
	rm src/auto/*
	$(GIR) -c Gir.toml
	git diff -R --exit-code

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== debian/changelog ===
rust-gdk (0.9.0-1) unstable; urgency=medium

  * Package gdk 0.9.0 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sun, 23 Dec 2018 12:21:43 +0100

=== debian/control ===
Source: rust-gdk
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-cairo-rs-0.5+default-dev <!nocheck>,
 librust-cairo-sys-rs-0.7+default-dev <!nocheck>,
 librust-gdk-pixbuf-0.5+default-dev <!nocheck>,
 librust-gdk-sys-0.7+default-dev <!nocheck>,
 librust-gio-0.5+default-dev <!nocheck>,
 librust-gio-sys-0.7+default-dev <!nocheck>,
 librust-glib-0.6+default-dev <!nocheck>,
 librust-glib-sys-0.7+default-dev <!nocheck>,
 librust-gobject-sys-0.7+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pango-0.5+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk
Homepage: http://gtk-rs.org/

Package: librust-gdk-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-cairo-rs-0.5+default-dev,
 librust-cairo-sys-rs-0.7+default-dev,
 librust-gdk-pixbuf-0.5+default-dev,
 librust-gdk-sys-0.7+default-dev,
 librust-gio-0.5+default-dev,
 librust-gio-sys-0.7+default-dev,
 librust-glib-0.6+default-dev,
 librust-glib-sys-0.7+default-dev,
 librust-gobject-sys-0.7+default-dev,
 librust-libc-0.2+default-dev,
 librust-pango-0.5+default-dev
Suggests:
 librust-gdk+dox-dev (= ${binary:Version}),
 librust-gdk+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk+v3-10-dev (= ${binary:Version}),
 librust-gdk+v3-12-dev (= ${binary:Version}),
 librust-gdk+v3-14-dev (= ${binary:Version}),
 librust-gdk+v3-16-dev (= ${binary:Version}),
 librust-gdk+v3-18-dev (= ${binary:Version}),
 librust-gdk+v3-20-dev (= ${binary:Version}),
 librust-gdk+v3-22-dev (= ${binary:Version}),
 librust-gdk+v3-22-30-dev (= ${binary:Version}),
 librust-gdk+v3-6-dev (= ${binary:Version}),
 librust-gdk+v3-8-dev (= ${binary:Version})
Provides:
 librust-gdk+default-dev (= ${binary:Version}),
 librust-gdk-0-dev (= ${binary:Version}),
 librust-gdk-0+default-dev (= ${binary:Version}),
 librust-gdk-0.9-dev (= ${binary:Version}),
 librust-gdk-0.9+default-dev (= ${binary:Version}),
 librust-gdk-0.9.0-dev (= ${binary:Version}),
 librust-gdk-0.9.0+default-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - Rust source code
 This package contains the source for the Rust gdk crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-gdk+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-cairo-rs-0.5+dox-dev,
 librust-gdk-pixbuf-0.5+dox-dev,
 librust-gdk-sys-0.7+dox-dev,
 librust-gio-0.5+dox-dev,
 librust-glib-0.6+dox-dev,
 librust-pango-0.5+dox-dev
Provides:
 librust-gdk-0+dox-dev (= ${binary:Version}),
 librust-gdk-0.9+dox-dev (= ${binary:Version}),
 librust-gdk-0.9.0+dox-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "dox"
 This metapackage enables feature dox for the Rust gdk crate, by pulling in any
 additional dependencies needed by that feature.

Package: librust-gdk+embed-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-cairo-rs-0.5+embed-lgpl-docs-dev,
 librust-gdk-pixbuf-0.5+embed-lgpl-docs-dev,
 librust-gio-0.5+embed-lgpl-docs-dev,
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-0+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.9+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.9.0+embed-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "embed-lgpl-docs"
 This metapackage enables feature embed-lgpl-docs for the Rust gdk crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk+gtk-rs-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-0+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.9+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.9.0+gtk-rs-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "gtk-rs-lgpl-docs"
 This metapackage enables feature gtk-rs-lgpl-docs for the Rust gdk crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk+purge-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-cairo-rs-0.5+purge-lgpl-docs-dev,
 librust-gdk-pixbuf-0.5+purge-lgpl-docs-dev,
 librust-gio-0.5+purge-lgpl-docs-dev,
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-0+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.9+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.9.0+purge-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "purge-lgpl-docs"
 This metapackage enables feature purge-lgpl-docs for the Rust gdk crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk+v3-10-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-8-dev (= ${binary:Version}),
 librust-cairo-rs-0.5+v1-12-dev,
 librust-gdk-sys-0.7+v3-10-dev,
 librust-gio-0.5+v2-36-dev
Provides:
 librust-gdk-0+v3-10-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-10-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-10-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_10"
 This metapackage enables feature v3_10 for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-12-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-10-dev (= ${binary:Version}),
 librust-gdk-sys-0.7+v3-12-dev,
 librust-gio-0.5+v2-38-dev
Provides:
 librust-gdk-0+v3-12-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-12-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-12-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_12"
 This metapackage enables feature v3_12 for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-14-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-12-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+v2-30-dev,
 librust-gdk-sys-0.7+v3-14-dev,
 librust-gio-0.5+v2-40-dev,
 librust-pango-0.5+v1-34-dev
Provides:
 librust-gdk-0+v3-14-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-14-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-14-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_14"
 This metapackage enables feature v3_14 for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-16-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-14-dev (= ${binary:Version}),
 librust-gdk-sys-0.7+v3-16-dev,
 librust-gio-0.5+v2-42-dev
Provides:
 librust-gdk-0+v3-16-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-16-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-16-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_16"
 This metapackage enables feature v3_16 for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-18-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-16-dev (= ${binary:Version}),
 librust-gdk-sys-0.7+v3-18-dev,
 librust-gio-0.5+v2-44-dev
Provides:
 librust-gdk-0+v3-18-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-18-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-18-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_18"
 This metapackage enables feature v3_18 for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-20-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-18-dev (= ${binary:Version}),
 librust-gdk-sys-0.7+v3-20-dev,
 librust-gio-0.5+v2-48-dev
Provides:
 librust-gdk-0+v3-20-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-20-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-20-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_20"
 This metapackage enables feature v3_20 for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-22-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-20-dev (= ${binary:Version}),
 librust-gdk-sys-0.7+v3-22-dev
Provides:
 librust-gdk-0+v3-22-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-22-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-22-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_22"
 This metapackage enables feature v3_22 for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-22-30-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-22-dev (= ${binary:Version}),
 librust-gio-0.5+v2-54-dev,
 librust-pango-0.5+v1-40-dev
Provides:
 librust-gdk-0+v3-22-30-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-22-30-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-22-30-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_22_30"
 This metapackage enables feature v3_22_30 for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-6-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk-sys-0.7+v3-6-dev
Provides:
 librust-gdk-0+v3-6-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-6-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-6-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_6"
 This metapackage enables feature v3_6 for the Rust gdk crate, by pulling in any
 additional dependencies needed by that feature.

Package: librust-gdk+v3-8-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-6-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+v2-28-dev,
 librust-gdk-sys-0.7+v3-8-dev,
 librust-gio-0.5+v2-34-dev,
 librust-pango-0.5+v1-32-4-dev
Provides:
 librust-gdk-0+v3-8-dev (= ${binary:Version}),
 librust-gdk-0.9+v3-8-dev (= ${binary:Version}),
 librust-gdk-0.9.0+v3-8-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_8"
 This metapackage enables feature v3_8 for the Rust gdk crate, by pulling in any
 additional dependencies needed by that feature.

## rust-gdk 0.11.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # Run `gir` generating the bindings
 gir : src/auto/mod.rs
+	cargo fmt
+
+doc: $(GIR) $(GIR_FILES)
+	$(GIR) -m doc -c Gir.toml
 
 not_bound: $(GIR) $(GIR_FILES)
 	$(GIR) -m not_bound -c Gir.toml
@@ -11,6 +15,7 @@
 regen_check: $(GIR) $(GIR_FILES)
 	rm src/auto/*
 	$(GIR) -c Gir.toml
+	cargo fmt
 	git diff -R --exit-code
 
 src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)

=== debian/changelog ===
rust-gdk (0.11.0-1) unstable; urgency=medium

  * Package gdk 0.11.0 from crates.io using debcargo 2.3.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Wed, 14 Aug 2019 23:31:49 +0200

=== debian/control ===
Source: rust-gdk
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-cairo-rs-0.7+default-dev <!nocheck>,
 librust-cairo-sys-rs-0.9+default-dev <!nocheck>,
 librust-gdk-pixbuf-0.7+default-dev <!nocheck>,
 librust-gdk-sys-0.9+default-dev <!nocheck>,
 librust-gio-0.7+default-dev <!nocheck>,
 librust-gio-sys-0.9+default-dev <!nocheck>,
 librust-glib-0.8+default-dev <!nocheck>,
 librust-glib-sys-0.9+default-dev <!nocheck>,
 librust-gobject-sys-0.9+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pango-0.7+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk
Homepage: http://gtk-rs.org/

Package: librust-gdk-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-cairo-rs-0.7+default-dev,
 librust-cairo-sys-rs-0.9+default-dev,
 librust-gdk-pixbuf-0.7+default-dev,
 librust-gdk-sys-0.9+default-dev,
 librust-gio-0.7+default-dev,
 librust-gio-sys-0.9+default-dev,
 librust-glib-0.8+default-dev,
 librust-glib-sys-0.9+default-dev,
 librust-gobject-sys-0.9+default-dev,
 librust-libc-0.2+default-dev,
 librust-pango-0.7+default-dev
Suggests:
 librust-gdk+dox-dev (= ${binary:Version}),
 librust-gdk+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk+v3-16-dev (= ${binary:Version}),
 librust-gdk+v3-18-dev (= ${binary:Version}),
 librust-gdk+v3-20-dev (= ${binary:Version}),
 librust-gdk+v3-22-dev (= ${binary:Version}),
 librust-gdk+v3-24-dev (= ${binary:Version})
Provides:
 librust-gdk+default-dev (= ${binary:Version}),
 librust-gdk-0-dev (= ${binary:Version}),
 librust-gdk-0+default-dev (= ${binary:Version}),
 librust-gdk-0.11-dev (= ${binary:Version}),
 librust-gdk-0.11+default-dev (= ${binary:Version}),
 librust-gdk-0.11.0-dev (= ${binary:Version}),
 librust-gdk-0.11.0+default-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - Rust source code
 This package contains the source for the Rust gdk crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-gdk+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-cairo-rs-0.7+dox-dev,
 librust-gdk-pixbuf-0.7+dox-dev,
 librust-gdk-sys-0.9+dox-dev,
 librust-gio-0.7+dox-dev,
 librust-glib-0.8+dox-dev,
 librust-pango-0.7+dox-dev
Provides:
 librust-gdk-0+dox-dev (= ${binary:Version}),
 librust-gdk-0.11+dox-dev (= ${binary:Version}),
 librust-gdk-0.11.0+dox-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "dox"
 This metapackage enables feature "dox" for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+embed-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-cairo-rs-0.7+embed-lgpl-docs-dev,
 librust-gdk-pixbuf-0.7+embed-lgpl-docs-dev,
 librust-gio-0.7+embed-lgpl-docs-dev,
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-0+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.11+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.11.0+embed-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "embed-lgpl-docs"
 This metapackage enables feature "embed-lgpl-docs" for the Rust gdk crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk+gtk-rs-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-0+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.11+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.11.0+gtk-rs-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "gtk-rs-lgpl-docs"
 This metapackage enables feature "gtk-rs-lgpl-docs" for the Rust gdk crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk+purge-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-cairo-rs-0.7+purge-lgpl-docs-dev,
 librust-gdk-pixbuf-0.7+purge-lgpl-docs-dev,
 librust-gio-0.7+purge-lgpl-docs-dev,
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-0+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.11+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-0.11.0+purge-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "purge-lgpl-docs"
 This metapackage enables feature "purge-lgpl-docs" for the Rust gdk crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk+v3-16-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk-sys-0.9+v3-16-dev
Provides:
 librust-gdk-0+v3-16-dev (= ${binary:Version}),
 librust-gdk-0.11+v3-16-dev (= ${binary:Version}),
 librust-gdk-0.11.0+v3-16-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_16"
 This metapackage enables feature "v3_16" for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-18-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-16-dev (= ${binary:Version}),
 librust-gdk-sys-0.9+v3-18-dev
Provides:
 librust-gdk-0+v3-18-dev (= ${binary:Version}),
 librust-gdk-0.11+v3-18-dev (= ${binary:Version}),
 librust-gdk-0.11.0+v3-18-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_18"
 This metapackage enables feature "v3_18" for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-20-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-18-dev (= ${binary:Version}),
 librust-gdk-sys-0.9+v3-20-dev
Provides:
 librust-gdk-0+v3-20-dev (= ${binary:Version}),
 librust-gdk-0.11+v3-20-dev (= ${binary:Version}),
 librust-gdk-0.11.0+v3-20-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_20"
 This metapackage enables feature "v3_20" for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-22-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-20-dev (= ${binary:Version}),
 librust-gdk-sys-0.9+v3-22-dev
Provides:
 librust-gdk-0+v3-22-dev (= ${binary:Version}),
 librust-gdk-0.11+v3-22-dev (= ${binary:Version}),
 librust-gdk-0.11.0+v3-22-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_22"
 This metapackage enables feature "v3_22" for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gdk+v3-24-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-dev (= ${binary:Version}),
 librust-gdk+v3-22-dev (= ${binary:Version}),
 librust-gdk-sys-0.9+v3-24-dev
Provides:
 librust-gdk-0+v3-24-dev (= ${binary:Version}),
 librust-gdk-0.11+v3-24-dev (= ${binary:Version}),
 librust-gdk-0.11.0+v3-24-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - feature "v3_24"
 This metapackage enables feature "v3_24" for the Rust gdk crate, by pulling in
 any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --all-features
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --features dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk+dox-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --features embed-lgpl-docs
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk+embed-lgpl-docs-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --features gtk-rs-lgpl-docs
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk+gtk-rs-lgpl-docs-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --features purge-lgpl-docs
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk+purge-lgpl-docs-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --features v3_16
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk+v3-16-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --features v3_18
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk+v3-18-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --features v3_20
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk+v3-20-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --features v3_22
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk+v3-22-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.11.0 --all-targets --features v3_24
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk+v3-24-dev
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/gdk-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/gdk .*/crates/gdk/@ANY_VERSION@/download

## rust-gdk 0.14.3

=== debian/changelog ===
rust-gdk (0.14.3-1) unstable; urgency=medium

  * Team upload.
  * Package gdk 0.14.3 from crates.io using debcargo 2.5.0 (Closes: 1002128)
  * Disable test that requires a display.

  [ Henry-Nicolas Tourneur ]
  * Package gdk 0.14.3 from crates.io using debcargo 2.4.4

 -- Peter Michael Green <plugwash@debian.org>  Tue, 28 Dec 2021 23:46:24 +0000

=== debian/control ===
Source: rust-gdk
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-cairo-rs-0.14+default-dev <!nocheck>,
 librust-gdk-pixbuf-0.14+default-dev <!nocheck>,
 librust-gdk-sys-0.14+default-dev <!nocheck>,
 librust-gio-0.14+default-dev <!nocheck>,
 librust-glib-0.14+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pango-0.14+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk
Homepage: https://gtk-rs.org/
Rules-Requires-Root: no

Package: librust-gdk-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-cairo-rs-0.14+default-dev,
 librust-cairo-rs-0.14+dox-dev,
 librust-gdk-pixbuf-0.14+default-dev,
 librust-gdk-pixbuf-0.14+dox-dev,
 librust-gdk-sys-0.14+default-dev,
 librust-gdk-sys-0.14+dox-dev,
 librust-gdk-sys-0.14+v3-20-dev,
 librust-gdk-sys-0.14+v3-22-dev,
 librust-gdk-sys-0.14+v3-24-dev,
 librust-gio-0.14+default-dev,
 librust-gio-0.14+dox-dev,
 librust-glib-0.14+default-dev,
 librust-glib-0.14+dox-dev,
 librust-libc-0.2+default-dev,
 librust-pango-0.14+default-dev,
 librust-pango-0.14+dox-dev
Provides:
 librust-gdk+default-dev (= ${binary:Version}),
 librust-gdk+dox-dev (= ${binary:Version}),
 librust-gdk+v3-20-dev (= ${binary:Version}),
 librust-gdk+v3-22-dev (= ${binary:Version}),
 librust-gdk+v3-24-dev (= ${binary:Version}),
 librust-gdk-0-dev (= ${binary:Version}),
 librust-gdk-0+default-dev (= ${binary:Version}),
 librust-gdk-0+dox-dev (= ${binary:Version}),
 librust-gdk-0+v3-20-dev (= ${binary:Version}),
 librust-gdk-0+v3-22-dev (= ${binary:Version}),
 librust-gdk-0+v3-24-dev (= ${binary:Version}),
 librust-gdk-0.14-dev (= ${binary:Version}),
 librust-gdk-0.14+default-dev (= ${binary:Version}),
 librust-gdk-0.14+dox-dev (= ${binary:Version}),
 librust-gdk-0.14+v3-20-dev (= ${binary:Version}),
 librust-gdk-0.14+v3-22-dev (= ${binary:Version}),
 librust-gdk-0.14+v3-24-dev (= ${binary:Version}),
 librust-gdk-0.14.3-dev (= ${binary:Version}),
 librust-gdk-0.14.3+default-dev (= ${binary:Version}),
 librust-gdk-0.14.3+dox-dev (= ${binary:Version}),
 librust-gdk-0.14.3+v3-20-dev (= ${binary:Version}),
 librust-gdk-0.14.3+v3-22-dev (= ${binary:Version}),
 librust-gdk-0.14.3+v3-24-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - Rust source code
 This package contains the source for the Rust gdk crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.14.3 --all-targets --all-features
Features: test-name=rust-gdk:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.14.3 --all-targets 
Features: test-name=librust-gdk-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.14.3 --all-targets --no-default-features --features dox
Features: test-name=librust-gdk-dev:dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.14.3 --all-targets --no-default-features --features v3_20
Features: test-name=librust-gdk-dev:v3_20
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.14.3 --all-targets --no-default-features --features v3_22
Features: test-name=librust-gdk-dev:v3_22
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.14.3 --all-targets --no-default-features --features v3_24
Features: test-name=librust-gdk-dev:v3_24
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.14.3 --all-targets --no-default-features
Features: test-name=librust-gdk-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/gdk-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/gdk .*/crates/gdk/@ANY_VERSION@/download

## rust-gdk 0.16.2

=== debian/changelog ===
rust-gdk (0.16.2-2) unstable; urgency=medium

  * Package gdk 0.16.2 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 25 Jun 2023 21:00:15 +0200

rust-gdk (0.16.2-1) experimental; urgency=medium

  * Package gdk 0.16.2 from crates.io using debcargo 2.6.0
  * Added myself to uploaders
  * Marked tests as broken

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 20 May 2023 15:16:01 +0200

=== debian/control ===
Source: rust-gdk
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-cairo-rs-0.16+default-dev <!nocheck>,
 librust-gdk-pixbuf-0.16+default-dev <!nocheck>,
 librust-gdk-sys-0.16+default-dev <!nocheck>,
 librust-gio-0.16+default-dev <!nocheck>,
 librust-glib-0.16+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pango-0.16+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>,
 Matthias Geiger <matthias.geiger1024@tutanota.de>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk
Homepage: https://gtk-rs.org/
X-Cargo-Crate: gdk
Rules-Requires-Root: no

Package: librust-gdk-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-cairo-rs-0.16+default-dev,
 librust-cairo-rs-0.16+dox-dev,
 librust-gdk-pixbuf-0.16+default-dev,
 librust-gdk-pixbuf-0.16+dox-dev,
 librust-gdk-sys-0.16+default-dev,
 librust-gdk-sys-0.16+dox-dev,
 librust-gdk-sys-0.16+v3-24-dev,
 librust-gio-0.16+default-dev,
 librust-gio-0.16+dox-dev,
 librust-glib-0.16+default-dev,
 librust-glib-0.16+dox-dev,
 librust-libc-0.2+default-dev,
 librust-pango-0.16+default-dev,
 librust-pango-0.16+dox-dev
Provides:
 librust-gdk+default-dev (= ${binary:Version}),
 librust-gdk+dox-dev (= ${binary:Version}),
 librust-gdk+unsafe-assume-initialized-dev (= ${binary:Version}),
 librust-gdk+v3-24-dev (= ${binary:Version}),
 librust-gdk-0-dev (= ${binary:Version}),
 librust-gdk-0+default-dev (= ${binary:Version}),
 librust-gdk-0+dox-dev (= ${binary:Version}),
 librust-gdk-0+unsafe-assume-initialized-dev (= ${binary:Version}),
 librust-gdk-0+v3-24-dev (= ${binary:Version}),
 librust-gdk-0.16-dev (= ${binary:Version}),
 librust-gdk-0.16+default-dev (= ${binary:Version}),
 librust-gdk-0.16+dox-dev (= ${binary:Version}),
 librust-gdk-0.16+unsafe-assume-initialized-dev (= ${binary:Version}),
 librust-gdk-0.16+v3-24-dev (= ${binary:Version}),
 librust-gdk-0.16.2-dev (= ${binary:Version}),
 librust-gdk-0.16.2+default-dev (= ${binary:Version}),
 librust-gdk-0.16.2+dox-dev (= ${binary:Version}),
 librust-gdk-0.16.2+unsafe-assume-initialized-dev (= ${binary:Version}),
 librust-gdk-0.16.2+v3-24-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - Rust source code
 This package contains the source for the Rust gdk crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.16.2 --all-targets --all-features
Features: test-name=rust-gdk:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.16.2 --all-targets
Features: test-name=librust-gdk-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.16.2 --all-targets --no-default-features --features dox
Features: test-name=librust-gdk-dev:dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.16.2 --all-targets --no-default-features --features unsafe-assume-initialized
Features: test-name=librust-gdk-dev:unsafe-assume-initialized
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.16.2 --all-targets --no-default-features --features v3_24
Features: test-name=librust-gdk-dev:v3_24
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.16.2 --all-targets --no-default-features
Features: test-name=librust-gdk-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

## rust-gdk 0.17.1

=== debian/changelog ===
rust-gdk (0.17.1-1) unstable; urgency=medium

  * Package gdk 0.17.1 from crates.io using debcargo 2.6.0
  * Removed inactive uploader, added my new mail address
  * Added relax-gir-dep.diff patch to enable tests

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 02 Aug 2023 00:22:13 +0200

=== debian/control ===
Source: rust-gdk
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-cairo-rs-0.17+default-dev <!nocheck>,
 librust-gdk-pixbuf-0.17+default-dev <!nocheck>,
 librust-gdk-sys-0.17+default-dev <!nocheck>,
 librust-gio-0.17+default-dev <!nocheck>,
 librust-glib-0.17+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pango-0.17+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk
Homepage: https://gtk-rs.org/
X-Cargo-Crate: gdk
Rules-Requires-Root: no

Package: librust-gdk-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-cairo-rs-0.17+default-dev,
 librust-gdk-pixbuf-0.17+default-dev,
 librust-gdk-sys-0.17+default-dev,
 librust-gdk-sys-0.17+v3-24-dev,
 librust-gio-0.17+default-dev,
 librust-glib-0.17+default-dev,
 librust-libc-0.2+default-dev,
 librust-pango-0.17+default-dev
Provides:
 librust-gdk+default-dev (= ${binary:Version}),
 librust-gdk+unsafe-assume-initialized-dev (= ${binary:Version}),
 librust-gdk+v3-24-dev (= ${binary:Version}),
 librust-gdk-0-dev (= ${binary:Version}),
 librust-gdk-0+default-dev (= ${binary:Version}),
 librust-gdk-0+unsafe-assume-initialized-dev (= ${binary:Version}),
 librust-gdk-0+v3-24-dev (= ${binary:Version}),
 librust-gdk-0.17-dev (= ${binary:Version}),
 librust-gdk-0.17+default-dev (= ${binary:Version}),
 librust-gdk-0.17+unsafe-assume-initialized-dev (= ${binary:Version}),
 librust-gdk-0.17+v3-24-dev (= ${binary:Version}),
 librust-gdk-0.17.1-dev (= ${binary:Version}),
 librust-gdk-0.17.1+default-dev (= ${binary:Version}),
 librust-gdk-0.17.1+unsafe-assume-initialized-dev (= ${binary:Version}),
 librust-gdk-0.17.1+v3-24-dev (= ${binary:Version})
Description: Rust bindings for the GDK 3 library - Rust source code
 This package contains the source for the Rust gdk crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.17.1 --all-targets --all-features
Features: test-name=rust-gdk:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.17.1 --all-targets
Features: test-name=librust-gdk-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.17.1 --all-targets --no-default-features --features unsafe-assume-initialized
Features: test-name=librust-gdk-dev:unsafe-assume-initialized
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.17.1 --all-targets --no-default-features --features v3_24
Features: test-name=librust-gdk-dev:v3_24
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk 0.17.1 --all-targets --no-default-features
Features: test-name=librust-gdk-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable
